Home

MarketVolatility computes the volatility for spot and derivative markets trading history.

GET
https://inj.nownodes.io/injective/exchange/v1beta1/market_volatility/{market_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

market_idstringrequiredpath
trade_history_options.trade_grouping_secstring<uint64>query

TradeGroupingSec of 0 means use the chain's default grouping.

trade_history_options.max_agestring<uint64>query

MaxAge restricts the trade records oldest age in seconds from the current block time to consider. A value of 0 means use all the records present on the chain.

trade_history_options.include_raw_historybooleanquery

If IncludeRawHistory is true, the raw underlying data used for the computation is included in the response.

trade_history_options.include_metadatabooleanquery

If IncludeMetadata is true, metadata on the computation is included in the response.

Response

200OK

A successful response.

default

An unexpected error response.